Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

Does IL need .net3.0 on windows XP?

Developers
2011-07-11
2013-05-02
  • looping1984
    looping1984
    2011-07-11

    I'm developing a MMORPG Game using DevIL as its image loader. It works well until my game started being tested by more players. Some players' operating systems are Windows Xp without .net framework. As a result, my game can't run (event can't be initialized) on such computers. I removed the linkage from my game to DevIL's dlls and it was initialized successfully and ran well.
         So I'd like to believe that some new features make DevIL depend on some patch of Windows XP which a very "pure" XP System may not contain.  Maybe one of the two features below should be responsible.
    1. The feature to support loading Microsoft HD Photo (.wdp or .hdp). Mircrosoft's .Net3.0 supplies loading and saving wdp image. But when going through the source code of DevIL, I found OpenIL deploying "HD Photo Device Porting Kit" to process wdp image, which is an image codec on non-Windows platforms.  So I'm not sure it causes the problem.
    2. The feature to compress pixel data into Dxtn format in "a fastest way" by using NVidia's Texture Tools library. And I wonder if the tools from nVidia depends on something.
         I tried to get rid of DevIL, only finding it so hard - It is so powerful and so easy to us and I love it that much. Can anybody help me? Many thx!